package com.cim.idm.wmspackage.durable.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class Durable extends FieldAccessor implements DataInfo<DurableKey> {
	
	private DurableKey key;
	
	private String durableSpecName;
	private String durableState;
	private String shipRequestName;
	private long assignedPackingQuantity;
	private String locationName;
	private Timestamp createTime;
	private String createUser;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String reasonCodeType;
	private String reasonCode;
	private String stockState;
	
	public DurableKey getKey(){
		return key;
	}
	
	public void setKey(DurableKey key){
		this.key = key;
	}
	
	public String getDurableSpecName(){
		return durableSpecName;
	}
	
	public void setDurableSpecName(String durableSpecName){
		this.durableSpecName = durableSpecName;
	}
	
	public String getDurableState(){
		return durableState;
	}
	
	public void setDurableState(String durableState){
		this.durableState = durableState;
	}
	
	public String getShipRequestName(){
		return shipRequestName;
	}
	
	public void setShipRequestName(String shipRequestName){
		this.shipRequestName = shipRequestName;
	}
	
	public long getAssignedPackingQuantity(){
		return assignedPackingQuantity;
	}
	
	public void setAssignedPackingQuantity(long assignedPackingQuantity){
		this.assignedPackingQuantity = assignedPackingQuantity;
	}
	
	public String getLocationName(){
		return locationName;
	}
	
	public void setLocationName(String locationName){
		this.locationName = locationName;
	}
	
	public Timestamp getCreateTime(){
		return createTime;
	}
	
	public void setCreateTime(Timestamp createTime){
		this.createTime = createTime;
	}
	
	public String getCreateUser(){
		return createUser;
	}
	
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}
	
	public String getLastEventName(){
		return lastEventName;
	}
	
	public void setLastEventName(String lastEventName){
		this.lastEventName = lastEventName;
	}
	
	public String getLastEventTimeKey(){
		return lastEventTimeKey;
	}
	
	public void setLastEventTimeKey(String lastEventTimeKey){
		this.lastEventTimeKey = lastEventTimeKey;
	}
	
	public Timestamp getLastEventTime(){
		return lastEventTime;
	}
	
	public void setLastEventTime(Timestamp lastEventTime){
		this.lastEventTime = lastEventTime;
	}
	
	public String getLastEventUser(){
		return lastEventUser;
	}
	
	public void setLastEventUser(String lastEventUser){
		this.lastEventUser = lastEventUser;
	}
	
	public String getLastEventComment(){
		return lastEventComment;
	}
	
	public void setLastEventComment(String lastEventComment){
		this.lastEventComment = lastEventComment;
	}
	
	public String getReasonCodeType(){
		return reasonCodeType;
	}
	
	public void setReasonCodeType(String reasonCodeType){
		this.reasonCodeType = reasonCodeType;
	}
	
	public String getReasonCode(){
		return reasonCode;
	}
	
	public void setReasonCode(String reasonCode){
		this.reasonCode = reasonCode;
	}
	
	public String getStockState(){
		return stockState;
	}
	
	public void setStockState(String stockState){
		this.stockState = stockState;
	}
}

	
